###############################################################################################################
server:
  port: 8878
  tomcat:
    basedir:                            /mnt/harddisk/saga/tomcatTemp

spring:
  application:
    name:                               revit-algorithm
  mvc:
    favicon:
      enabled:                          true

  jmx:
    default-domain:                     revit-algorithm

  datasource:
    name:                               revit-algorithm
    type:                               com.alibaba.druid.pool.DruidDataSource
    driver-class-name:                  com.mysql.cj.jdbc.Driver
#    url:                                jdbc:mysql://rm-2ze20ntn5y9ljsx147o.mysql.rds.aliyuncs.com:3306/revit?allowMultiQueries=true&serverTimezone=UTC&useUnicode=true&useSSL=false&characterEncoding=UTF-8
#    username:                           root
#    password:                           zVmW58LaAtjIKbb
    url:                                jdbc:mysql://192.168.100.91:9934/revit?allowMultiQueries=true&serverTimezone=UTC&useUnicode=true&useSSL=false&characterEncoding=UTF-8
    username:                           root
    password:                           persagy@2021
#    url:                                jdbc:mysql://cd-cdb-nboe1rje.sql.tencentcdb.com:61955/revit?allowMultiQueries=true&serverTimezone=UTC&useUnicode=true&useSSL=false&characterEncoding=UTF-8
#    username:                           root
#    password:                           Bdtp@1qaz@WSX

  second_datasource:
    name:                               revit-algorithm
    type:                               com.alibaba.druid.pool.DruidDataSource
    driver-class-name:                  com.mysql.cj.jdbc.Driver
#    url:                                jdbc:mysql://rm-2ze20ntn5y9ljsx147o.mysql.rds.aliyuncs.com:3306/revit_calc?allowMultiQueries=true&serverTimezone=UTC&useUnicode=true&useSSL=false&characterEncoding=UTF-8
#    username:                           root
#    password:                           zVmW58LaAtjIKbb
    url:                                jdbc:mysql://192.168.100.91:9934/revit_calc?allowMultiQueries=true&serverTimezone=UTC&useUnicode=true&useSSL=false&characterEncoding=UTF-8
    username:                           root
    password:                           persagy@2021
#    url:                                jdbc:mysql://cd-cdb-nboe1rje.sql.tencentcdb.com:61955/revit_calc?allowMultiQueries=true&serverTimezone=UTC&useUnicode=true&useSSL=false&characterEncoding=UTF-8
#    username:                           root
#    password:                           Bdtp@1qaz@WSX

  jackson:
    date-format:                        yyyy-MM-dd HH:mm:ss
    time-zone:                          Asia/Shanghai
    default-property-inclusion:         non_null
    # 首字母大写
    #property-naming-strategy:           com.fasterxml.jackson.databind.PropertyNamingStrategy.PascalCaseStrategy
    # 以下划线分隔全小写的单词
    #property-naming-strategy:           com.fasterxml.jackson.databind.PropertyNamingStrategy.LowerCaseWithUnderscoresStrategy
    mapper:
      # 属性按字母顺序输出
      sort_properties_alphabetically:   true

  jms:
    pub-sub-domain: true
    template:
      delivery-mode: non_persistent
      receive-timeout: 1000
      time-to-live: 36000
      qos-enabled: true
      default-destination: model.manage
  servlet:
    multipart:
      max-request-size:                90MB        # 限制上传的多个文件的总大小
      max-file-size:                   90MB        # 限制单个文件的最大值
  #activemq:
   # broker-url: failover:(tcp://192.168.64.15:61616)
    # in-memory: true
      #pool:
      #  enabled: false
    # user: admin
    #  password: admin
    #  non-blocking-redelivery: true
mybatis:
  typeAliasesPackage:                  cn.sagacloud.server.algorithm.models

#logging:
#  pattern:
#    console: "%red(%d{yyyy-MM-dd HH:mm:ss}) %green([%thread]) %highlight(%-5level) %boldMagenta(%logger{10}) - %cyan(%msg%n)"
#  level:
#    - ".=info"
#    - "cn.sagacloud=debug"
#    - "org.springframework=info"
#    - "com.sybotan=debug"
#    - "org.apache.activemq=debug"


properties:
  #文件服务器配置
  fileService:
    # 基本属性
    # url:                               http://api.sagacloud.cn/dp-auxiliary/image-service/ # http://47.93.33.207:28888/image-service/ #http://adm.sagacloud.cn/image-service/
    url:                               http://develop.ysbdtp.com/image-service/ # http://47.93.33.207:28888/image-service/ #http://adm.sagacloud.cn/image-service/
    #url:                               http://image-service:8080/
    systemId: revit
    secret: 63afbef6906c342b
    dir: model
    baseGraph: base
    report: report
    export: export
    # 配置文件引用的属性
    suffixWithSecret:                  ?systemId=${properties.fileService.systemId}&secret=${properties.fileService.secret}
    suffix:                            ?systemId=${properties.fileService.systemId}
    # 程序中会用到的
    uploadPath:                        ${properties.fileService.url}common/file_upload${properties.fileService.suffixWithSecret}&overwrite=true&key=${properties.fileService.dir}/
    baseGraphPath:                     ${properties.fileService.url}common/file_upload${properties.fileService.suffixWithSecret}&overwrite=true&key=${properties.fileService.baseGraph}/
    reportPath:                        ${properties.fileService.url}common/file_upload${properties.fileService.suffixWithSecret}&overwrite=true&key=${properties.fileService.report}/
    exportPath:                        ${properties.fileService.url}common/file_upload${properties.fileService.suffixWithSecret}&overwrite=true&key=${properties.fileService.export}/
    downloadPath:                      ${properties.fileService.url}common/file_get${properties.fileService.suffix}&key=${properties.fileService.dir}/
    reportDownloadPath:                ${properties.fileService.url}common/file_get${properties.fileService.suffix}&key=${properties.fileService.report}/
    exportDownloadPath:                ${properties.fileService.url}common/file_get${properties.fileService.suffix}&key=${properties.fileService.export}/
    renamePath:                        ${properties.fileService.url}common/file_key_change${properties.fileService.suffixWithSecret}
    deletePath:                        ${properties.fileService.url}common/files_delete${properties.fileService.suffixWithSecret}
    registerMultipartUpload:           ${properties.fileService.url}common/register_multipart_upload${properties.fileService.suffixWithSecret}&overwrite=true&key=${properties.fileService.dir}/
    mergeMultipartUpload:              ${properties.fileService.url}common/merge_multipart${properties.fileService.suffixWithSecret}&uploadId=
    queryFetchUrlsByFileIds:           ${properties.fileService.url}/file/queryFetchUrlsByFileIds

  scheduler:
    #url:                               http://82.157.26.241:8080/
    url:                               http://develop.ysbdtp.com/scheduler
    createTask:                        ${properties.scheduler.url}task/create
    queryTask:                         ${properties.scheduler.url}task/query
    queryTaskResult:                   ${properties.scheduler.url}result/query
    createDownload:                    ${properties.scheduler.url}download/create


  datacenter:
    #url:                                http://39.105.112.36/datacenter/
    #url:                                http://develop.ysbdtp.com/datacenter/
    url:                                http://localhost:8876/
    # 设备相关接口
    equipCreate: ${properties.datacenter.url}object/equip/create
    equipDelete: ${properties.datacenter.url}object/equip/delete
    equipQuery: ${properties.datacenter.url}object/equip/query
    equipUpdate: ${properties.datacenter.url}object/equip/update
    # 墙,门,窗,柱设备类的配置,数组第一个为默认设备类编码
    equipWall:
      - CFCSWL
    equipDoor:
      - CFBEDR
      - FFFRDW
      - SPEGFG
      - SPEGDR
    equipWindow:
      - CFBEWN
      - FFSCVW
      - FFFRDW
    equipColumn:
      - CFCSCL
      - WEGMLP
    # 元空间相关接口
    ispaceCreate: ${properties.datacenter.url}object/ispace/create
    ispaceDelete: ${properties.datacenter.url}object/ispace/delete
    ispaceQuery: ${properties.datacenter.url}object/ispace/query
    ispaceUpdate: ${properties.datacenter.url}object/ispace/update
    # 空间相关接口
    spaceUpdate: ${properties.datacenter.url}object/zone/update
    # 部件相关接口
    componentCreate: ${properties.datacenter.url}object/component/create
    componentDelete: ${properties.datacenter.url}object/component/delete
    componentQuery: ${properties.datacenter.url}object/component/query
    componentUpdate: ${properties.datacenter.url}object/component/update
    # 楼层相关接口
    floorQuery: ${properties.datacenter.url}object/floor/query
    floorUpdate: ${properties.datacenter.url}object/floor/update
    floorCreate: ${properties.datacenter.url}object/floor/create
    # 绑定楼层接口
    floorBind: ${properties.datacenter.url}rel/update/equip-ispace
    #    # 资产接口

    #    propertyQuery: ${properties.datacenter.url}object/property/query

    #    propertyUpdate: ${properties.datacenter.url}object/property/update
    # 同步构件接口
    windowCreate: ${properties.datacenter.url}window/create_ignore
    vwallCreate: ${properties.datacenter.url}vwall/create_ignore
    doorCreate: ${properties.datacenter.url}door/create_ignore

  message:
    url: http://develop.ysbdtp.com/message-center
    # 发送消息接口
    createPath: ${properties.message.url}message/create
